- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# junos_lldp_global – Manage link layer discovery protocol (LLDP) attributes on Juniper JUNOS devices

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages link layer discovery protocol (LLDP) attributes on Juniper JUNOS devices.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.6.4)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config dictionary |  | The list of link layer discovery protocol attribute configurations
| address string |  | This argument sets the management address from LLDP.
| enabled boolean | Choices: no yes | This argument is a boolean value to enabled or disable LLDP.
| hold_multiplier integer |  | Specify the number of seconds that LLDP information is held before it is discarded. The multiplier value is used in combination with the `interval` value.
| interval integer |  | Frequency at which LLDP advertisements are sent (in seconds).
| transmit_delay integer |  | Specify the number of seconds the device waits before sending advertisements to neighbors after a change is made in local system.
state string | Choices: merged ← replaced deleted | The state of the configuration after module completion.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Tested against vSRX JUNOS version 18.4R1.
- This module works with connection `netconf`. See the Junos OS Platform Options.

## Examples

    # Using merged
    # Before state:
    # -------------
    # user@junos01# # show protocols lldp
    #
    - name: Merge provided configuration with device configuration
      junos_lldp_global:
        config:
          interval: 10000
          address: 10.1.1.1
          transmit_delay: 400
          hold_multiplier: 10
        state: merged

    # After state:
    # -------------
    # user@junos01# show protocols lldp
    # management-address 10.1.1.1;
    # advertisement-interval 10000;
    # transmit-delay 400;
    # hold-multiplier 10;

    # Using replaced
    # Before state:
    # -------------
    # user@junos01# show protocols lldp
    # management-address 10.1.1.1;
    # advertisement-interval 10000;
    # transmit-delay 400;
    # hold-multiplier 10;

    - name: Replace provided configuration with device configuration
      junos_lldp_global:
        config:
          address: 20.2.2.2
          hold_multiplier: 30
          enabled: False
        state: replaced

    # After state:
    # -------------
    # user@junos01# show protocols lldp
    # disable;
    # management-address 20.2.2.2;
    # hold-multiplier 30;

    # Using deleted
    # Before state:
    # -------------
    # user@junos01# show protocols lldp
    # management-address 20.2.2.2;
    # hold-multiplier 30;

    - name: Delete lldp configuration (this will by default remove all lldp configuration)
      junos_lldp_global:
        state: deleted

    # After state:
    # -------------
    # user@junos01# # show protocols lldp
    #

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before dictionary | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['xml 1', 'xml 2', 'xml 3']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.